Bug 47537 - Empty response when forward to login page fails
Empty response when forward to login page fails
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Catalina
5.5.27
PC Windows XP
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-07-15 10:06 UTC by gui
Modified: 2010-01-27 00:54 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gui 2009-07-15 10:06:41 UTC
When tomcat receives a POST request on a session that has timedout, it will forward to the form based login page (form-login-page). 
If this forward fails for some reason (an error in the login page for instance), tomcat will return an empty HTTP response, without any error code. 

The tomcat log says "Unexpected error forwarding to login page" and contains the detailed stacktrace, but i would expect the error to show up in the browser as well (at least a 500 status)
Comment 1 Mark Thomas 2009-12-11 05:21:55 UTC
Thanks for the report.

This has been fixed in trunk (for Tomcat 7) and proposed for back port to 6.0.x and 5.5.x
Comment 2 Mark Thomas 2009-12-21 04:56:21 UTC
This has been fixed in 6.0.x and will be included in 6.0.21 onwards.
Comment 3 Konstantin Kolinko 2010-01-27 00:54:46 UTC
Fixed in 5.5, will be in 5.5.29 onwards. Thank you.